import 'package:fluro/fluro.dart';
import 'route_handlers.dart';

class Routes {
  static final String yTabBarRoute = "/tabbar";
  static final String yTagsGridRoute = "/tagsgrid";
  static final String yCardRoute = "/card";
  static final String yListRoute = "/listview";

  static void routesConfiguration(FluroRouter router) {
    router.define(yTabBarRoute, handler: yTabBarHandler, transitionType: TransitionType.cupertino);
    router.define(yTagsGridRoute, handler: yTagsGridHandler, transitionType: TransitionType.cupertino);
    router.define(yCardRoute, handler: yCardViewHandler, transitionType: TransitionType.cupertino);
    router.define(yListRoute, handler: yListViewHandler, transitionType: TransitionType.cupertino);
  }
}